summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Ash Wiren <ash@spooksoftware.com>2010-05-13 01:01:16 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-13 01:01:16 +0200
commit10e2e7e64a7f5b41e5f1900574638ce164cf76e4 (patch)
tree3b1fd249a37a7677e281d82df984bd8cf029c163
parenta135dba74fae9ddcce297409861618ef50da0c5e (diff)
downloadslackbuilds-10e2e7e64a7f5b41e5f1900574638ce164cf76e4.tar.gz
slackbuilds-10e2e7e64a7f5b41e5f1900574638ce164cf76e4.tar.xz
system/virt-manager: Added to 13.0 repository
-rw-r--r--system/virt-manager/README12
-rw-r--r--system/virt-manager/doinst.sh5
-rw-r--r--system/virt-manager/slack-desc19
-rw-r--r--system/virt-manager/virt-manager.SlackBuild80
-rw-r--r--system/virt-manager/virt-manager.info10
5 files changed, 126 insertions, 0 deletions
diff --git a/system/virt-manager/README b/system/virt-manager/README
new file mode 100644
index 0000000000..c0e88bf42e
--- /dev/null
+++ b/system/virt-manager/README
@@ -0,0 +1,12 @@
+virt-manager is a gtk interface that connects to libvirt.
+
+This requires libvirt, GConf, gnome-python, urlgrabber, virtinst, gtk-vnc,
+tunctl, rarian and optionally qemu and/or kvm.
+
+If you have networking problems, make sure you have the tun module loaded.
+
+To run virt-manager as a normal user, you need to configure libvirt
+to have the correct permissions. Uncomment the unix_sock_group and
+unix_sock_rw_perms in /etc/libvirt/libvirtd.conf and add the user to the
+libvirt group
+
diff --git a/system/virt-manager/doinst.sh b/system/virt-manager/doinst.sh
new file mode 100644
index 0000000000..0b5b7b9e43
--- /dev/null
+++ b/system/virt-manager/doinst.sh
@@ -0,0 +1,5 @@
+GCONF_CONFIG_SOURCE="xml::etc/gconf/gconf.xml.defaults" \
+chroot . gconftool-2 --makefile-install-rule \
+ /etc/gconf/schemas/virt-manager.schemas \
+ 1>/dev/null
+
diff --git a/system/virt-manager/slack-desc b/system/virt-manager/slack-desc
new file mode 100644
index 0000000000..3cdc05c549
--- /dev/null
+++ b/system/virt-manager/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+virt-manager: virt-manager (a gtk interface for libvirt)
+virt-manager:
+virt-manager: virt-manager is a gtk interface for libvirt.
+virt-manager: It supports both Xen and qemu/kvm.
+virt-manager:
+virt-manager:
+virt-manager:
+virt-manager:
+virt-manager:
+virt-manager:
+virt-manager:
diff --git a/system/virt-manager/virt-manager.SlackBuild b/system/virt-manager/virt-manager.SlackBuild
new file mode 100644
index 0000000000..74b14ab186
--- /dev/null
+++ b/system/virt-manager/virt-manager.SlackBuild
@@ -0,0 +1,80 @@
+#!/bin/sh
+
+# Slackware build script for virt-manager
+
+# Written by Ash Wiren ash@spooksoftware.com
+# Released to public domain.
+# Lots of fixes by Robby Workman
+
+PRGNAM=virt-manager
+VERSION=${VERSION:-0.8.3}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ -prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/virt-manager/virt-manager.info b/system/virt-manager/virt-manager.info
new file mode 100644
index 0000000000..e2e16c322a
--- /dev/null
+++ b/system/virt-manager/virt-manager.info
@@ -0,0 +1,10 @@
+PRGNAM="virt-manager"
+VERSION="0.8.3"
+HOMEPAGE="http://virt-manager.et.redhat.com"
+DOWNLOAD="http://virt-manager.et.redhat.com/download/sources/virt-manager/virt-manager-0.8.3.tar.gz"
+MD5SUM="2994055bd83b7fe621f0258089e171f4"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Ash Wiren"
+EMAIL="ash@spooksoftware.com"
+APPROVED="dsomero"